### Method

# Gtk Widget allocate

#### Declaration [src]

    void
    gtk_widget_allocate (
      GtkWidget* widget,
      int width,
      int height,
      int baseline,
      GskTransform* transform
    )

#### Description [src]

Assigns size, position, (optionally) a baseline and transform to a child widget.

In this function, the allocation and baseline may be adjusted. The given allocation will be forced to be bigger than the widget’s minimum size, as well as at least 0×0 in size.

This function is only used by widget implementations.

For a version that does not take a transform, see `gtk_widget_size_allocate()`.

#### Parameters

`width`

  Type: `int`

  New width.

`height`

  Type: `int`

  New height.

`baseline`

  Type: `int`

  New baseline, or -1.

`transform`

  Type: `GskTransform`

  Transformation to be applied.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.